﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using System.Windows.Forms;
using System.Numerics;

namespace CatShooting
{
    class Bullet
    {
        public Vector2 pos;
        public int radius;
        public bool willDestroy = false;

        public Bullet()
        {
            this.pos = new Vector2(0, 0);
            this.radius = 10;
        }

        public void Update()
        {
            this.pos.X += 10;
            if (this.pos.X > 1080)
            {
                this.willDestroy = true;
            }
        }

        public void Draw(PaintEventArgs e)
        {
            SolidBrush orangeBrush = new SolidBrush(Color.Orange);
            e.Graphics.FillEllipse(orangeBrush, this.pos.X - this.radius, this.pos.Y - this.radius, this.radius * 2, this.radius * 2);
        }
    }
}
